| Kea 3.0.2-git

option_vendor_class.h File Reference
`#include <dhcp/dhcp4.h>`
`#include <dhcp/dhcp6.h>`
`#include <dhcp/opaque_data_tuple.h>`
`#include <dhcp/option.h>`
`#include <util/buffer.h>`
`#include <boost/shared_ptr.hpp>`
`#include <dhcp/option_data_types.h>`
`#include <stdint.h>`
Include dependency graph for option_vendor_class.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | isc::dhcp::OptionVendorClass
| This class encapsulates DHCPv6 Vendor Class and DHCPv4 V-I Vendor Class options. More...

## Namespaces
namespace | isc
| Defines the logger used by the top-level component of kea-lfc.
namespace | isc::dhcp

## Typedefs
typedef boost::shared_ptr< OptionVendorClass > | isc::dhcp::OptionVendorClassPtr
| Defines a pointer to the `OptionVendorClass`.